Subject: Re: [PATCH RESEND] net: add config option for tunnel fallback devs

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Oct 2024 17:26:02 -0700

On Wed,  9 Oct 2024 13:04:19 +0200 Lorenz Brun wrote:
> This adds a Kconfig option to set the default behavior regarding tunnel
> fallback devices.
> For setups where the initial namespace should also not have these, the
> only preexisting option is to use a kernel command line option which
> needs to be passed to every kernel invocation, which can be inconvenient
> in certain setups.
> If a kernel is built for a specific environment this knob allows
> disabling the compatibility behavior outright, without requiring any
> additional actions.

I don't hate the idea, but could you comment a bit more on practical
usability of such a change? Whatever software depends on the new
behavior will likely not work with distro kernels, right?

Did you consider kernel boot param?